Skip to content
POST/{organizationId}/{mandateId}/donation/donations

Create donation

Creates a new donation for a given mandate

Required permissions:

  • mandate.read

  • donation.insert

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

minItems: 1

confirmationSendMethodstringrequired

Options:

noneemailpostal

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/donation/donations
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/donation/donations' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "positions": [
    {
      "type": "cash",
      "value": 1,
      "date": "string",
      "description": "string"
    }
  ],
  "confirmationSendMethod": "none",
  "donator": {
    "name": "string",
    "address": {
      "country": "string",
      "zip": "string",
      "city": "string",
      "addressLine": "string"
    },
    "email": "",
    "account": 1
  }
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

numberstringrequired

minLength: 1

Response

200
{
  "_id": "000000000000000000000001",
  "number": "string"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}